app.factory('etiquetasFactory', function ($http) {
    var url = '../api/etiquetas/';
    
    return {
        getEtiquetas: function (nl,nc,margl,margr,margt,margb,uep) {

            if (nl == null)
                nl = 0;
            if (nc == null)
                nc = 0;
            if (margl == null)
                margl = 10;
            if (margr == null)
                margr = 10;
            if (margt == null)
                margt = 10;
            if (margb == null)
                margb = 10;

            return $http({
                url: url,
                method: "GET",
                params: {
                    l: nl,
                    c: nc,
                    ml: margl,
                    mr: margr,
                    mt: margt,
                    mb: margb,
                    uep: uep
                },
            })
        },
        getEtiquetasByXLS: function (info, fileUP) {
            //responseType:'arraybuffer'
            var fd = new FormData();
            fd.append('file', fileUP);
            fd.append('data', angular.toJson(info));
            return $http.post(url, fd, {
                transformRequest: angular.identity,
                responseType: 'arraybuffer',
                headers: { 'Content-Type': undefined }
            });
        }
    };

  


});





//return {
//    getEtiquetasDois: function (nl,nc,margl,margr,margt,margb,fileUP) {

        
//        if (nl == null)
//            nl = 0;
//        if (nc == null)
//            nc = 0;
//        if (margl == null)
//            margl = 10;
//        if (margr == null)
//            margr = 10;
//        if (margt == null)
//            margt = 10;
//        if (margb == null)
//            margb = 10;

//        var params = {
//            l: nl,
//            c: nc,
//            ml: margl,
//            mr: margr,
//            mt: margt,
//            mb: margb
//        }


//        return $http({
//            url: url,
//            method: "POST",
//            file: fileUP
//        },
//        })